﻿@model GarageMaster.Models.Forum.CommentModels.CommentCreateModel

@{
    ViewData["Title"] = "CreateCommentToTopic";
}

<h1>CreateCommentToTopic</h1>

<h4>CommentCreateModel</h4>
<hr />
<div class="row">
    <form asp-action="CreateComment" method="post" enctype="multipart/form-data">
        <div class="col-md-10">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="CommentContent" class="control-label"></label>
                <textarea asp-for="CommentContent" class="form-control" id="newComment"></textarea>
                <span asp-validation-for="CommentContent" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Images" class="control-label"></label>
                <input asp-for="Images" type="file" multiple="multiple" accept="image/*" class="form-control" />
                <span asp-validation-for="Images" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <input type="hidden" asp-for="TopicId" class="form-control" />
                <span asp-validation-for="TopicId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="Topic" class="form-control" />
                <span asp-validation-for="Topic" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="UpperCommentId" class="form-control" />
                <span asp-validation-for="UpperCommentId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="CommentLevel" class="form-control" />
                <span asp-validation-for="CommentLevel" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="Type" class="form-control" />
                <span asp-validation-for="Type" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>

<div>
    <a asp-action="Index" asp-controller="Topic">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newComment');
        });
    </script>
}